Open SCAP Library

Data Structures | Typedefs | Functions | Variables
iflisteners.c File Reference

iflisteners probe More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdio_ext.h>`
`#include <errno.h>`
`#include <dirent.h>`
`#include <fcntl.h>`
`#include <netdb.h>`
`#include <arpa/inet.h>`
`#include <regex.h>`
`#include "seap.h"`
`#include "probe-api.h"`
`#include "probe/entcmp.h"`
`#include "alloc.h"`
`#include "util.h"`
`#include "common/debug_priv.h"`
`#include "iflisteners-proto.h"`

## Data Structures
struct | result_info
struct | _lnode
struct | llist
struct | interface_t

## Typedefs
typedef struct _lnode | lnode

## Functions
int | probe_main (probe_ctx *ctx, void *arg)

## Variables
SEXP_t * | interface_name_ent

## Detailed Description

iflisteners probe

Author
  "Petr Lautrbach <plautrba@redhat.com>"